Skip to main content
`Ctrl`+`K`

# PCAmgXGetResources

get AMGx’s internal resource object

## Synopsis

    #include "petscpc.h"
    PETSC_EXTERN PetscErrorCode PCAmgXGetResources(PC pc, void *rsrc_out)

Not Collective, No Fortran Support

## Input Parameter

- pc - the PC

## Output Parameter

- rsrc_out - pointer to the AMGx resource object

## See Also

KSP: Linear System Solvers, `PCAMGX`, `PC`, `PCGAMG`

## Level

advanced

## Location

src/ksp/pc/impls/amgx/amgx.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages